List batches
curl --request GET \
--url https://api.sailresearch.com/v1/batches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sailresearch.com/v1/batches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sailresearch.com/v1/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "batch_abc123",
"request_counts": 2,
"created_at": 1741564800,
"label": "my-batch-job"
}
]{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}Batches API
List batches
List batches with optional pagination.
GET
/
batches
List batches
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Return batches created after this batch ID.
Return batches created before this batch ID.
Maximum number of batches to return. Min 1, defaults to 25, max 200.
Required range:
1 <= x <= 200⌘I